apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: freshrss
  labels:
    app: freshrss
spec:
  serviceName: freshrss
  replicas: 1
  selector:
    matchLabels:
      app: freshrss
  template:
    metadata:
      labels:
        app: freshrss
    spec:
      terminationGracePeriodSeconds: 10
      containers:
      - name: freshrss
        image: freshrss/freshrss:1.26.0
        env:
        - name: TZ
          value: "Europe/Paris"
        - name: CRON_MIN
          value: "4,34"
        ports:
        - name: http
          containerPort: 80
        volumeMounts:
        - name: data
          mountPath: /var/www/FreshRSS/data
        - name: config
          mountPath: /var/www/FreshRSS/data/config.php
          subPath: config.php
      volumes:
      - name: config
        secret:
          secretName: freshrss-config

  volumeClaimTemplates:
    - metadata:
        name: data
      spec:
        accessModes: ["ReadWriteOnce"]
        resources:
          requests:
            storage: 1Gi
